| globjects 1.0.0.000000000000 Strict OpenGL objects wrapper.

Public Member Functions | List of all members
globjects::AbstractFunctionCall Class Referenceabstract

The interface for a callable function with variadic argument types. More...

`#include <globjects/include/globjects/base/AbstractFunctionCall.h>`

Inheritance diagram for globjects::AbstractFunctionCall:

## Public Member Functions
| AbstractFunctionCall ()
| Constructor. More...
virtual | ~AbstractFunctionCall ()
| Virtual destructor. More...
virtual void | operator() ()=0
| Entry point for the main functionality of a subclass. More...
virtual void * | identifier () const =0
| Accessor for an arbitrary identifier that can be used as identity. More...

## Detailed Description

The interface for a callable function with variadic argument types.

See also
  FunctionCall

## Constructor & Destructor Documentation

## ◆ AbstractFunctionCall()

globjects::AbstractFunctionCall::AbstractFunctionCall | ( |  | ) |

Constructor.

## ◆ ~AbstractFunctionCall()

virtual globjects::AbstractFunctionCall::~AbstractFunctionCall | ( |  | ) |
| virtual

Virtual destructor.

Required for correct cleanup of subclasses

## Member Function Documentation

## ◆ operator()()

virtual void globjects::AbstractFunctionCall::operator() | ( |  | ) |
| pure virtual

Entry point for the main functionality of a subclass.

As this interface represents some kind of method object, a subclass defines this operator to implement its full behavior.

Implemented in globjects::FunctionCall< Arguments >.

## ◆ identifier()

virtual void* globjects::AbstractFunctionCall::identifier | ( |  | ) | const
| pure virtual

Accessor for an arbitrary identifier that can be used as identity.

Returns
  An identifier for identity tracking

Implemented in globjects::FunctionCall< Arguments >.

The documentation for this class was generated from the following file:

- AbstractFunctionCall.h